﻿Option Strict On
Imports System.Xml.Linq
Imports System.Windows.Media.Imaging

Partial Public Class MainPage
    Inherits UserControl

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub MainPage_Loaded(ByVal sender As Object, ByVal e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        Dim xmldoc As XElement = XElement.Load("Photo.xml")
        Dim query = From c In xmldoc.Descendants("画像名") Select c


        For Each result In query
            Dim myImage As New Image
            With myImage
                .Width = 160
                .Height = 120
                .Margin = New Thickness(10)
                .Source = New BitmapImage(New Uri("Image/" & result.Value, UriKind.Relative))
            End With
            WrapPanel1.Children.Add(myImage)
        Next
    End Sub

End Class